commandwindow
clc
close all
syms T1(t) T2(t)
question=[diff(T1,t,1)+3*T2==exp(-2*t),diff(T2,t,1)-3*T1==exp(2*t)]
evacond=[T1(0)==30,T2(0)==30]
solution=dsolve(question,evacond)
x=solution.T1
y=solution.T2
pretty(x)
pretty(y)
tn=[0:0.1:3.5]
xn=subs(x,tn)
yn=subs(y,tn)
plot(tn,xn,tn,yn)
axis tight
xlabel("time")
ylabel("system response")
legend('T1','T2')